Skip to content

Get Notifications

GET
/notifications

Returns important notifications for admin users f.e. when a connection disconnects or a Bird is automatically deactivated

Authorizations

Parameters

Query Parameters

page
integer format: int32

The zero-based page index to return.

pageSize
integer format: int32

The number of notifications to return per page.

ascending
boolean

Whether to sort the notifications in ascending order by creation time.

from
string format: date-time

Optional start timestamp to filter notifications from, in ISO 8601 format, for example 2027-10-13T16:33:46Z.

to
string format: date-time

Optional end timestamp to filter notifications to, in ISO 8601 format, for example 2027-10-13T16:33:46Z.

Responses

200

A paginated list of admin notifications.

object
items
Array<object>
object
id
string
createdAt
string format: date-time
workspaceId
integer format: int32
entityId
integer format: int32
entityName
string
entityType
string
eventType
string
isSeen
boolean
message
string
totalCount
integer format: int32
page
integer format: int32
pageSize
integer format: int32
Examples

Connection disconnection notifications

{
"items": [
{
"id": "019f22bd-6b5b-70de-ad71-85a4993da4b3",
"createdAt": "2026-07-02T12:11:06.971611Z",
"workspaceId": 726,
"entityId": 18287,
"entityName": "Release 5.8.0",
"entityType": "Connection",
"eventType": "ConnectionDisconnected",
"isSeen": true,
"message": "Connection check failed and all retries were exhausted. Please reconnect."
},
{
"id": "019f22bc-2d5c-7e7b-ab7e-011449c05004",
"createdAt": "2026-07-02T12:09:45.564406Z",
"workspaceId": 726,
"entityId": 18287,
"entityName": "Release 5.8.0",
"entityType": "Connection",
"eventType": "ConnectionDisconnected",
"isSeen": true,
"message": "Connection check failed. Retrying connection, please wait."
},
{
"id": "019f22b0-69bb-79a6-a85a-0e587b64484d",
"createdAt": "2026-07-02T11:56:54.587375Z",
"workspaceId": 726,
"entityId": 14680,
"entityName": "Hubspot Smoke 2",
"entityType": "Connection",
"eventType": "ConnectionDisconnected",
"isSeen": true,
"message": "Connection check failed. Retrying connection, please wait."
}
],
"totalCount": 308,
"page": 0,
"pageSize": 10
}

500

Server Error